Package org.jbpm.process.audit.command

## Class FindSubProcessInstancesCommand

- java.lang.Object
- - org.jbpm.process.audit.command.AuditCommand<List<ProcessInstanceLog>>
  - - org.jbpm.process.audit.command.FindSubProcessInstancesCommand

- All Implemented Interfaces:
    `Serializable`, `org.kie.api.command.Command<List<ProcessInstanceLog>>`, `org.kie.api.command.ExecutableCommand<List<ProcessInstanceLog>>`, `org.kie.internal.command.ProcessInstanceIdCommand`

      public class FindSubProcessInstancesCommand
      extends AuditCommand<List<ProcessInstanceLog>>
      implements org.kie.internal.command.ProcessInstanceIdCommand

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.process.audit.command.AuditCommand

      `auditLogService`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FindSubProcessInstancesCommand()` |
    `FindSubProcessInstancesCommand​(long processInstanceId)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<ProcessInstanceLog>` | `execute​(org.kie.api.runtime.Context cntxt)` |
    `Long` | `getProcessInstanceId()` |
    `void` | `setProcessInstanceId​(Long processInstanceId)` |
    `String` | `toString()` |

    - ### Methods inherited from class org.jbpm.process.audit.command.AuditCommand

      `setAuditLogService, setLogEnvironment`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FindSubProcessInstancesCommand

          public FindSubProcessInstancesCommand()

    - #### FindSubProcessInstancesCommand

          public FindSubProcessInstancesCommand​(long processInstanceId)

  - ### Method Detail

    - #### execute

          public List<ProcessInstanceLog> execute​(org.kie.api.runtime.Context cntxt)

      Specified by:
        `execute` in interface `org.kie.api.command.ExecutableCommand<List<ProcessInstanceLog>>`

    - #### getProcessInstanceId

          public Long getProcessInstanceId()

      Specified by:
        `getProcessInstanceId` in interface `org.kie.internal.command.ProcessInstanceIdCommand`

    - #### setProcessInstanceId

          public void setProcessInstanceId​(Long processInstanceId)

      Specified by:
        `setProcessInstanceId` in interface `org.kie.internal.command.ProcessInstanceIdCommand`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`